<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('dataset_table52', function (Blueprint $table) {
            $table->id('DatasetTable52Id');
            $table->integer('dataset_id');
            $table->string('tingkat_pendidikan')->nullable();
            $table->integer('lakilaki')->nullable();
            $table->integer('perempuan')->nullable();
            $table->integer('jumlah')->nullable();
            $table->integer('created_by');
            $table->timestampsTz();
            $table->softdeletesTz();

            $table->foreign('dataset_id')->references('DatasetId')->on('dataset')->cascadeOnDelete();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('dataset_table52s');
    }
};
